// this file defines all neccessary data types and adds extern declarations for data
// plus it contains some compile-time constants

#include <inttypes.h>

// the number of values to save in the lambda table
// maximum: 64 - stack size!
#define LAMBDA_TABLE_SIZE 64

// an array of ADC-measurement values (for lambda-input)
extern volatile uint8_t lambda[LAMBDA_TABLE_SIZE];

// global flag register
#define LAMBDA_TABLE_FILLED 0
extern volatile uint8_t flags;
