// defines some basic delay routines based on AVR-libc
// because AVR-libc delay routines are way too limited

#include <util/delay.h>

void delay_ms(uint16_t sleep)
{
   while(sleep-- != 0)
     {
	_delay_ms(1);
     }
}

void delay_us(uint16_t sleep)
{
   while(sleep-- != 0)
     {
	_delay_us(1);
     }
}
